-- MySQL dump 10.13  Distrib 8.0.13, for Linux (x86_64)
--
-- Host: localhost    Database: baza
-- ------------------------------------------------------
-- Server version	8.0.13

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
 SET NAMES utf8 ;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `cwiczenie`
--

DROP TABLE IF EXISTS `cwiczenie`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `cwiczenie` (
  `id_cwiczenie` int(11) NOT NULL AUTO_INCREMENT,
  `opis` varchar(400) DEFAULT NULL,
  `rodzaj` varchar(45) DEFAULT NULL,
  `nazwa` char(45) DEFAULT NULL,
  `Film` varchar(150) DEFAULT NULL,
  `uzytkownik` int(11) DEFAULT NULL,
  PRIMARY KEY (`id_cwiczenie`),
  KEY `Id_uzytkownik_idx` (`uzytkownik`),
  CONSTRAINT `Id_uzytkownik` FOREIGN KEY (`uzytkownik`) REFERENCES `uzytkownicy` (`id_uzytkownik`)
) ENGINE=InnoDB AUTO_INCREMENT=113 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cwiczenie`
--

LOCK TABLES `cwiczenie` WRITE;
/*!40000 ALTER TABLE `cwiczenie` DISABLE KEYS */;
INSERT INTO `cwiczenie` VALUES (1,' Stań prosto, stopy rozstawiając na szerokość barków. Hantle trzymaj bezpośrednio nad barkami nachwytem. Wyciśnij lewą hantlę nad głowę, prostując rękę w łokciu. Opuść ją do pozycji startowej. Wyciśnij drugą hantlę, wróć do startu. To jedno powtórzenie.','barki','Naprzemienne wyciskanie hantli stojąc','https://www.menshealth.pl/media/lib/2037/naprzemienne_wyciskanie_hantli_stojac.mp4',1),(45,' Zamocuj linę do wyciągu górnego. Złap jej końce i uklęknij twarzą do wyciągu. Linę trzymaj przy skroniach. Inicjując ruch mięśniami brzucha, zrób maksymalny skłon w przód. Powoli, kontrolując ciężar, wróć do pozycji startowej. Bolą Cię kolana? Złóż ręcznik i uklęknij na nim.','brzuch','Brzuchy przy wyciągu','https://www.menshealth.pl/media/lib/2035/brzuchy_przy_wyciagu.mp4',1),(46,' Złap sandbag wąsko i stań w lekkim rozkroku. Podciągnij sandbag aż pod brodę, szeroko prowadząc łokcie. Wróć do pozycji startowej.','brzuch','Podciąganie sandbagu wzdłuż tułowia','https://www.menshealth.pl/media/lib/2038/podciaganie_sandbagu_wzdluz_tulowia.mp4',1),(47,' Połóż się tyłem na macie, ręce wzdłuż tułowia. Ugnij nogi w kolanach i biodrach. Unieś nogi, przyciągając kolana do klatki, a następnie kierując stopy w stronę sufitu – oderwij mocno biodra od podłoża.','korpus','Unoszenie nóg','https://www.menshealth.pl/media/lib/2035/unoszenie_n_g_i_bioder.mp4',1),(87,' Stań prosto w szerokim rozkroku, ręce złap przed sobą. Zacznij uginać lewe kolano i przenosić ciężar ciała na lewą stopę, aż poczujesz mocne rozciąganie przywodziciela uda (uwierz nam, po chwili będziesz doskonale wiedział, o który mięsień chodzi). Po kilku sekundach wróć do pozycji startowej i powtórz ruch w drugą stronę','Uda','Rozciąganie przywodziciela uda','https://www.menshealth.pl/media/lib/2032/rozciaganie_przywodziciela_uda.mp4',5),(98,'bbbb','Łydki','bbbb','bbbb',43),(99,'vvv','Łydki','bvvv','vvvv',43),(109,'aaa','Łydki','bbbb','aaa',5),(110,'hhjhj','Łydki','bbbb','kk',56),(111,'hjjk','Łydki','Rozciąganie przywodziciela uda','t',56),(112,'hhjh','Łydki','gf','',56);
/*!40000 ALTER TABLE `cwiczenie` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-02-25 19:18:56
