-- MySQL dump 10.13  Distrib 8.0.13, for Linux (x86_64)
--
-- Host: localhost    Database: baza
-- ------------------------------------------------------
-- Server version	8.0.13

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
 SET NAMES utf8 ;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `trening_rzeczywisty`
--

DROP TABLE IF EXISTS `trening_rzeczywisty`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `trening_rzeczywisty` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_cwiczenia` int(11) NOT NULL,
  `id_uzytkownik` int(11) DEFAULT NULL,
  `powtorzenia` int(11) DEFAULT NULL,
  `ciezar` varchar(45) DEFAULT NULL,
  `serie` int(11) DEFAULT NULL,
  `data_t` date DEFAULT NULL,
  `powtorzenia_cel` int(11) DEFAULT NULL,
  `ciezar_cel` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_trening_rzeczywisty_1_idx` (`id_cwiczenia`),
  KEY `fk_trening_rzeczywisty_2_idx` (`id_uzytkownik`),
  CONSTRAINT `fk_trening_rzeczywisty_1` FOREIGN KEY (`id_cwiczenia`) REFERENCES `cwiczenie` (`id_cwiczenie`),
  CONSTRAINT `fk_trening_rzeczywisty_2` FOREIGN KEY (`id_uzytkownik`) REFERENCES `uzytkownicy` (`id_uzytkownik`)
) ENGINE=InnoDB AUTO_INCREMENT=321 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trening_rzeczywisty`
--

LOCK TABLES `trening_rzeczywisty` WRITE;
/*!40000 ALTER TABLE `trening_rzeczywisty` DISABLE KEYS */;
INSERT INTO `trening_rzeczywisty` VALUES (113,1,38,6,'1',1,'2019-01-20',NULL,NULL),(116,47,39,4,'2',1,'2019-01-20',NULL,NULL),(117,46,39,6,'1',1,'2019-01-20',NULL,NULL),(216,1,5,6,'59',1,'2019-02-17',9,8),(289,98,43,6,'32',1,'2019-02-19',6,32),(290,99,43,6,'1',1,'2019-02-19',6,1),(302,45,5,6,'2',1,'2019-02-20',6,5),(303,47,5,6,'500',1,'2019-02-20',6,5),(304,87,5,6,'500',1,'2019-02-20',6,4),(306,1,5,9,'8',1,'2019-02-20',6,5),(308,46,5,6,'5',1,'2019-02-24',6,5),(313,45,5,6,'5',1,'2019-02-24',6,5),(314,47,5,6,'5',1,'2019-02-24',6,5),(315,87,5,6,'4',1,'2019-02-24',6,4),(316,1,5,13,'6',1,'2019-02-24',13,6),(320,45,56,6,'10',1,'2019-02-24',6,10);
/*!40000 ALTER TABLE `trening_rzeczywisty` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-02-25 19:18:55
